Bug 479051 - evince segfaults while rendering specific pages
evince segfaults while rendering specific pages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 14:09 EST by Andrea Santilli
Modified: 2015-07-20 13:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:31:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of the evince segfault (3.59 KB, text/plain)
2009-01-06 14:09 EST, Andrea Santilli
no flags Details

  None (edit)
Description Andrea Santilli 2009-01-06 14:09:15 EST
Created attachment 328304 [details]
backtrace of the evince segfault

Description of problem:
I was reading a pdf using evince and, after switching to the next page, the program crashed.
Thus I run evince again and reopened that file, tried to switch to that page and the program crashed again.

So I installed evince-debuginfo and poppler-debuginfo, and got a backtrace of the problem which I attached here.

Version-Release number of selected component (if applicable):
2.24.2-1

How reproducible:
Always, on specific pages
Comment 1 Jon Dufresne 2009-02-13 12:10:00 EST
It looks like you are missing some debuginfo packages. Could you please install them with the command:

$ su -c "debuginfo-install GConf2-2.24.0-1.fc10.i386 ORBit2-2.14.16-1.fc10.i386 atk-1.24.0-1.fc10.i386 cairo-1.8.0-1.fc10.i386 dbus-glib-0.76-3.fc10.i386 dbus-libs-1.2.4-2.fc10.i386 e2fsprogs-libs-1.41.3-2.fc10.i386 expat-2.0.1-5.i386 fontconfig-2.6.0-3.fc10.i386 freetype-freeworld-2.3.7-2.fc10.i386 gamin-0.1.9-6.fc10.i386 glib2-2.18.3-2.fc10.i386 glibc-2.9-3.i686 gnome-keyring-2.24.1-1.fc10.i386 gtk-xfce-engine-2.5.92-2.svn29036.fc10.i386 gtk2-2.14.5-3.fc10.i386 gvfs-1.0.3-4.fc10.i386 libICE-1.0.4-4.fc10.i386 libSM-1.1.0-2.fc10.i386 libX11-1.1.4-6.fc10.i386 libXau-1.0.4-1.fc10.i386 libXcomposite-0.4.0-5.fc10.i386 libXcursor-1.1.9-3.fc10.i386 libXdamage-1.1.1-4.fc9.i386 libXdmcp-1.0.2-6.fc10.i386 libXext-1.0.4-1.fc9.i386 libXfixes-4.0.3-4.fc10.i386 libXi-1.1.3-4.fc9.i386 libXinerama-1.0.3-2.fc10.i386 libXrandr-1.2.3-1.fc10.i386 libXrender-0.9.4-3.fc9.i386 libcap-2.10-2.fc10.i386 libgcc-4.3.2-7.i386 libglade2-2.6.3-2.fc10.i386 libjpeg-6b-43.fc10.i386 libpng-1.2.33-1.fc10.i386 libselinux-2.0.73-1.fc10.i386 libstdc++-4.3.2-7.i386 libxcb-1.1.91-5.fc10.i386 libxml2-2.7.2-2.fc10.i386 pango-1.22.3-1.fc10.i386 pixman-0.12.0-2.fc10.i386 zlib-1.2.3-18.fc9.i386"

And then get a new backtrace of all threads with the following command at the gdb prompt.

(gdb) thread apply all backtrace

Then attach the output to this bug. 

Also, if you have the pdf document that causes the crash and you are at liberty to distribute it please also attach that to this bug.

Thanks.
Comment 3 Bug Zapper 2009-11-18 05:41:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:31:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.